gtkmm: gtkmm Enums and Flags

gtkmm 4.12.0

Classes | Typedefs | Enumerations | Functions
gtkmm Enums and Flags

## Classes
class | Gtk::Constraint::Strength_Wrapper
| Wrapper for enum Strength. More...
class | Gtk::ResponseType_Wrapper
| Wrapper for enum ResponseType. More...

## Typedefs
using | Gtk::Constraint::Strength = Strength_Wrapper::Strength
| Strength enumerators are scoped by the wrapper class and can be implicitly converted to int.
using | Gtk::ResponseType = ResponseType_Wrapper::ResponseType
| ResponseType enumerators are scoped by the wrapper class and can be implicitly converted to int.

## Enumerations
enum | { Gtk::SpinButton::INPUT_ERROR = -1 }
| Constant to return from a signal handler for the input signal in case of conversion failure. More...

## Functions
Application::InhibitFlags | Gtk::operator| (Application::InhibitFlags lhs, Application::InhibitFlags rhs)
Application::InhibitFlags | Gtk::operator& (Application::InhibitFlags lhs, Application::InhibitFlags rhs)
Application::InhibitFlags | Gtk::operator^ (Application::InhibitFlags lhs, Application::InhibitFlags rhs)
Application::InhibitFlags | Gtk::operator~ (Application::InhibitFlags flags)
Application::InhibitFlags & | Gtk::operator|= (Application::InhibitFlags & lhs, Application::InhibitFlags rhs)
Application::InhibitFlags & | Gtk::operator&= (Application::InhibitFlags & lhs, Application::InhibitFlags rhs)
Application::InhibitFlags & | Gtk::operator^= (Application::InhibitFlags & lhs, Application::InhibitFlags rhs)
PickFlags | Gtk::operator| (PickFlags lhs, PickFlags rhs)
PickFlags | Gtk::operator& (PickFlags lhs, PickFlags rhs)
PickFlags | Gtk::operator^ (PickFlags lhs, PickFlags rhs)
PickFlags | Gtk::operator~ (PickFlags flags)
PickFlags & | Gtk::operator|= (PickFlags & lhs, PickFlags rhs)
PickFlags & | Gtk::operator&= (PickFlags & lhs, PickFlags rhs)
PickFlags & | Gtk::operator^= (PickFlags & lhs, PickFlags rhs)
StateFlags | Gtk::operator| (StateFlags lhs, StateFlags rhs)
StateFlags | Gtk::operator& (StateFlags lhs, StateFlags rhs)
StateFlags | Gtk::operator^ (StateFlags lhs, StateFlags rhs)
StateFlags | Gtk::operator~ (StateFlags flags)
StateFlags & | Gtk::operator|= (StateFlags & lhs, StateFlags rhs)
StateFlags & | Gtk::operator&= (StateFlags & lhs, StateFlags rhs)
StateFlags & | Gtk::operator^= (StateFlags & lhs, StateFlags rhs)
InputHints | Gtk::operator| (InputHints lhs, InputHints rhs)
InputHints | Gtk::operator& (InputHints lhs, InputHints rhs)
InputHints | Gtk::operator^ (InputHints lhs, InputHints rhs)
InputHints | Gtk::operator~ (InputHints flags)
InputHints & | Gtk::operator|= (InputHints & lhs, InputHints rhs)
InputHints & | Gtk::operator&= (InputHints & lhs, InputHints rhs)
InputHints & | Gtk::operator^= (InputHints & lhs, InputHints rhs)
ListScrollFlags | Gtk::operator| (ListScrollFlags lhs, ListScrollFlags rhs)
ListScrollFlags | Gtk::operator& (ListScrollFlags lhs, ListScrollFlags rhs)
ListScrollFlags | Gtk::operator^ (ListScrollFlags lhs, ListScrollFlags rhs)
ListScrollFlags | Gtk::operator~ (ListScrollFlags flags)
ListScrollFlags & | Gtk::operator|= (ListScrollFlags & lhs, ListScrollFlags rhs)
ListScrollFlags & | Gtk::operator&= (ListScrollFlags & lhs, ListScrollFlags rhs)
ListScrollFlags & | Gtk::operator^= (ListScrollFlags & lhs, ListScrollFlags rhs)
EventControllerScroll::Flags | Gtk::operator| (EventControllerScroll::Flags lhs, EventControllerScroll::Flags rhs)
EventControllerScroll::Flags | Gtk::operator& (EventControllerScroll::Flags lhs, EventControllerScroll::Flags rhs)
EventControllerScroll::Flags | Gtk::operator^ (EventControllerScroll::Flags lhs, EventControllerScroll::Flags rhs)
EventControllerScroll::Flags | Gtk::operator~ (EventControllerScroll::Flags flags)
EventControllerScroll::Flags & | Gtk::operator|= (EventControllerScroll::Flags & lhs, EventControllerScroll::Flags rhs)
EventControllerScroll::Flags & | Gtk::operator&= (EventControllerScroll::Flags & lhs, EventControllerScroll::Flags rhs)
EventControllerScroll::Flags & | Gtk::operator^= (EventControllerScroll::Flags & lhs, EventControllerScroll::Flags rhs)
IconLookupFlags | Gtk::operator| (IconLookupFlags lhs, IconLookupFlags rhs)
IconLookupFlags | Gtk::operator& (IconLookupFlags lhs, IconLookupFlags rhs)
IconLookupFlags | Gtk::operator^ (IconLookupFlags lhs, IconLookupFlags rhs)
IconLookupFlags | Gtk::operator~ (IconLookupFlags flags)
IconLookupFlags & | Gtk::operator|= (IconLookupFlags & lhs, IconLookupFlags rhs)
IconLookupFlags & | Gtk::operator&= (IconLookupFlags & lhs, IconLookupFlags rhs)
IconLookupFlags & | Gtk::operator^= (IconLookupFlags & lhs, IconLookupFlags rhs)
PopoverMenu::Flags | Gtk::operator| (PopoverMenu::Flags lhs, PopoverMenu::Flags rhs)
PopoverMenu::Flags | Gtk::operator& (PopoverMenu::Flags lhs, PopoverMenu::Flags rhs)
PopoverMenu::Flags | Gtk::operator^ (PopoverMenu::Flags lhs, PopoverMenu::Flags rhs)
PopoverMenu::Flags | Gtk::operator~ (PopoverMenu::Flags flags)
PopoverMenu::Flags & | Gtk::operator|= (PopoverMenu::Flags & lhs, PopoverMenu::Flags rhs)
PopoverMenu::Flags & | Gtk::operator&= (PopoverMenu::Flags & lhs, PopoverMenu::Flags rhs)
PopoverMenu::Flags & | Gtk::operator^= (PopoverMenu::Flags & lhs, PopoverMenu::Flags rhs)
ShortcutAction::Flags | Gtk::operator| (ShortcutAction::Flags lhs, ShortcutAction::Flags rhs)
ShortcutAction::Flags | Gtk::operator& (ShortcutAction::Flags lhs, ShortcutAction::Flags rhs)
ShortcutAction::Flags | Gtk::operator^ (ShortcutAction::Flags lhs, ShortcutAction::Flags rhs)
ShortcutAction::Flags | Gtk::operator~ (ShortcutAction::Flags flags)
ShortcutAction::Flags & | Gtk::operator|= (ShortcutAction::Flags & lhs, ShortcutAction::Flags rhs)
ShortcutAction::Flags & | Gtk::operator&= (ShortcutAction::Flags & lhs, ShortcutAction::Flags rhs)
ShortcutAction::Flags & | Gtk::operator^= (ShortcutAction::Flags & lhs, ShortcutAction::Flags rhs)
TextSearchFlags | Gtk::operator| (TextSearchFlags lhs, TextSearchFlags rhs)
TextSearchFlags | Gtk::operator& (TextSearchFlags lhs, TextSearchFlags rhs)
TextSearchFlags | Gtk::operator^ (TextSearchFlags lhs, TextSearchFlags rhs)
TextSearchFlags | Gtk::operator~ (TextSearchFlags flags)
TextSearchFlags & | Gtk::operator|= (TextSearchFlags & lhs, TextSearchFlags rhs)
TextSearchFlags & | Gtk::operator&= (TextSearchFlags & lhs, TextSearchFlags rhs)
TextSearchFlags & | Gtk::operator^= (TextSearchFlags & lhs, TextSearchFlags rhs)
PrintCapabilities | Gtk::operator| (PrintCapabilities lhs, PrintCapabilities rhs)
PrintCapabilities | Gtk::operator& (PrintCapabilities lhs, PrintCapabilities rhs)
PrintCapabilities | Gtk::operator^ (PrintCapabilities lhs, PrintCapabilities rhs)
PrintCapabilities | Gtk::operator~ (PrintCapabilities flags)
PrintCapabilities & | Gtk::operator|= (PrintCapabilities & lhs, PrintCapabilities rhs)
PrintCapabilities & | Gtk::operator&= (PrintCapabilities & lhs, PrintCapabilities rhs)
PrintCapabilities & | Gtk::operator^= (PrintCapabilities & lhs, PrintCapabilities rhs)
CellRendererState | Gtk::operator| (CellRendererState lhs, CellRendererState rhs)
CellRendererState | Gtk::operator& (CellRendererState lhs, CellRendererState rhs)
CellRendererState | Gtk::operator^ (CellRendererState lhs, CellRendererState rhs)
CellRendererState | Gtk::operator~ (CellRendererState flags)
CellRendererState & | Gtk::operator|= (CellRendererState & lhs, CellRendererState rhs)
CellRendererState & | Gtk::operator&= (CellRendererState & lhs, CellRendererState rhs)
CellRendererState & | Gtk::operator^= (CellRendererState & lhs, CellRendererState rhs)
FontChooser::Level | Gtk::operator| (FontChooser::Level lhs, FontChooser::Level rhs)
FontChooser::Level | Gtk::operator& (FontChooser::Level lhs, FontChooser::Level rhs)
FontChooser::Level | Gtk::operator^ (FontChooser::Level lhs, FontChooser::Level rhs)
FontChooser::Level | Gtk::operator~ (FontChooser::Level flags)
FontChooser::Level & | Gtk::operator|= (FontChooser::Level & lhs, FontChooser::Level rhs)
FontChooser::Level & | Gtk::operator&= (FontChooser::Level & lhs, FontChooser::Level rhs)
FontChooser::Level & | Gtk::operator^= (FontChooser::Level & lhs, FontChooser::Level rhs)
StyleContext::PrintFlags | Gtk::operator| (StyleContext::PrintFlags lhs, StyleContext::PrintFlags rhs)
StyleContext::PrintFlags | Gtk::operator& (StyleContext::PrintFlags lhs, StyleContext::PrintFlags rhs)
StyleContext::PrintFlags | Gtk::operator^ (StyleContext::PrintFlags lhs, StyleContext::PrintFlags rhs)
StyleContext::PrintFlags | Gtk::operator~ (StyleContext::PrintFlags flags)
StyleContext::PrintFlags & | Gtk::operator|= (StyleContext::PrintFlags & lhs, StyleContext::PrintFlags rhs)
StyleContext::PrintFlags & | Gtk::operator&= (StyleContext::PrintFlags & lhs, StyleContext::PrintFlags rhs)
StyleContext::PrintFlags & | Gtk::operator^= (StyleContext::PrintFlags & lhs, StyleContext::PrintFlags rhs)
TreeModel::Flags | Gtk::operator| (TreeModel::Flags lhs, TreeModel::Flags rhs)
TreeModel::Flags | Gtk::operator& (TreeModel::Flags lhs, TreeModel::Flags rhs)
TreeModel::Flags | Gtk::operator^ (TreeModel::Flags lhs, TreeModel::Flags rhs)
TreeModel::Flags | Gtk::operator~ (TreeModel::Flags flags)
TreeModel::Flags & | Gtk::operator|= (TreeModel::Flags & lhs, TreeModel::Flags rhs)
TreeModel::Flags & | Gtk::operator&= (TreeModel::Flags & lhs, TreeModel::Flags rhs)
TreeModel::Flags & | Gtk::operator^= (TreeModel::Flags & lhs, TreeModel::Flags rhs)

## Detailed Description

## Typedef Documentation

## ◆ ResponseType

using Gtk::ResponseType = typedef ResponseType_Wrapper::ResponseType

ResponseType enumerators are scoped by the wrapper class and can be implicitly converted to int.

## ◆ Strength

using Gtk::Constraint::Strength = Strength_Wrapper::Strength

Strength enumerators are scoped by the wrapper class and can be implicitly converted to int.

## Enumeration Type Documentation

## ◆ anonymous enum

anonymous enum

Constant to return from a signal handler for the input signal in case of conversion failure.

Enumerator
INPUT_ERROR |

## Function Documentation

## ◆ operator&() [1/15]

Application::InhibitFlags Gtk::operator& | ( | Application::InhibitFlags | lhs,
|  | Application::InhibitFlags | rhs
| ) |  |
| inline

## ◆ operator&() [2/15]

CellRendererState Gtk::operator& | ( | CellRendererState | lhs,
|  | CellRendererState | rhs
| ) |  |
| inline

## ◆ operator&() [3/15]

EventControllerScroll::Flags Gtk::operator& | ( | EventControllerScroll::Flags | lhs,
|  | EventControllerScroll::Flags | rhs
| ) |  |
| inline

## ◆ operator&() [4/15]

FontChooser::Level Gtk::operator& | ( | FontChooser::Level | lhs,
|  | FontChooser::Level | rhs
| ) |  |
| inline

## ◆ operator&() [5/15]

IconLookupFlags Gtk::operator& | ( | IconLookupFlags | lhs,
|  | IconLookupFlags | rhs
| ) |  |
| inline

## ◆ operator&() [6/15]

InputHints Gtk::operator& | ( | InputHints | lhs,
|  | InputHints | rhs
| ) |  |
| inline

## ◆ operator&() [7/15]

ListScrollFlags Gtk::operator& | ( | ListScrollFlags | lhs,
|  | ListScrollFlags | rhs
| ) |  |
| inline

## ◆ operator&() [8/15]

PickFlags Gtk::operator& | ( | PickFlags | lhs,
|  | PickFlags | rhs
| ) |  |
| inline

## ◆ operator&() [9/15]

PopoverMenu::Flags Gtk::operator& | ( | PopoverMenu::Flags | lhs,
|  | PopoverMenu::Flags | rhs
| ) |  |
| inline

## ◆ operator&() [10/15]

PrintCapabilities Gtk::operator& | ( | PrintCapabilities | lhs,
|  | PrintCapabilities | rhs
| ) |  |
| inline

## ◆ operator&() [11/15]

ShortcutAction::Flags Gtk::operator& | ( | ShortcutAction::Flags | lhs,
|  | ShortcutAction::Flags | rhs
| ) |  |
| inline

## ◆ operator&() [12/15]

StateFlags Gtk::operator& | ( | StateFlags | lhs,
|  | StateFlags | rhs
| ) |  |
| inline

## ◆ operator&() [13/15]

StyleContext::PrintFlags Gtk::operator& | ( | StyleContext::PrintFlags | lhs,
|  | StyleContext::PrintFlags | rhs
| ) |  |
| inline

## ◆ operator&() [14/15]

TextSearchFlags Gtk::operator& | ( | TextSearchFlags | lhs,
|  | TextSearchFlags | rhs
| ) |  |
| inline

## ◆ operator&() [15/15]

TreeModel::Flags Gtk::operator& | ( | TreeModel::Flags | lhs,
|  | TreeModel::Flags | rhs
| ) |  |
| inline

## ◆ operator&=() [1/15]

Application::InhibitFlags & Gtk::operator&= | ( | Application::InhibitFlags & | lhs,
|  | Application::InhibitFlags | rhs
| ) |  |
| inline

## ◆ operator&=() [2/15]

CellRendererState & Gtk::operator&= | ( | CellRendererState & | lhs,
|  | CellRendererState | rhs
| ) |  |
| inline

## ◆ operator&=() [3/15]

EventControllerScroll::Flags & Gtk::operator&= | ( | EventControllerScroll::Flags & | lhs,
|  | EventControllerScroll::Flags | rhs
| ) |  |
| inline

## ◆ operator&=() [4/15]

FontChooser::Level & Gtk::operator&= | ( | FontChooser::Level & | lhs,
|  | FontChooser::Level | rhs
| ) |  |
| inline

## ◆ operator&=() [5/15]

IconLookupFlags & Gtk::operator&= | ( | IconLookupFlags & | lhs,
|  | IconLookupFlags | rhs
| ) |  |
| inline

## ◆ operator&=() [6/15]

InputHints & Gtk::operator&= | ( | InputHints & | lhs,
|  | InputHints | rhs
| ) |  |
| inline

## ◆ operator&=() [7/15]

ListScrollFlags & Gtk::operator&= | ( | ListScrollFlags & | lhs,
|  | ListScrollFlags | rhs
| ) |  |
| inline

## ◆ operator&=() [8/15]

PickFlags & Gtk::operator&= | ( | PickFlags & | lhs,
|  | PickFlags | rhs
| ) |  |
| inline

## ◆ operator&=() [9/15]

PopoverMenu::Flags & Gtk::operator&= | ( | PopoverMenu::Flags & | lhs,
|  | PopoverMenu::Flags | rhs
| ) |  |
| inline

## ◆ operator&=() [10/15]

PrintCapabilities & Gtk::operator&= | ( | PrintCapabilities & | lhs,
|  | PrintCapabilities | rhs
| ) |  |
| inline

## ◆ operator&=() [11/15]

ShortcutAction::Flags & Gtk::operator&= | ( | ShortcutAction::Flags & | lhs,
|  | ShortcutAction::Flags | rhs
| ) |  |
| inline

## ◆ operator&=() [12/15]

StateFlags & Gtk::operator&= | ( | StateFlags & | lhs,
|  | StateFlags | rhs
| ) |  |
| inline

## ◆ operator&=() [13/15]

StyleContext::PrintFlags & Gtk::operator&= | ( | StyleContext::PrintFlags & | lhs,
|  | StyleContext::PrintFlags | rhs
| ) |  |
| inline

## ◆ operator&=() [14/15]

TextSearchFlags & Gtk::operator&= | ( | TextSearchFlags & | lhs,
|  | TextSearchFlags | rhs
| ) |  |
| inline

## ◆ operator&=() [15/15]

TreeModel::Flags & Gtk::operator&= | ( | TreeModel::Flags & | lhs,
|  | TreeModel::Flags | rhs
| ) |  |
| inline

## ◆ operator^() [1/15]

Application::InhibitFlags Gtk::operator^ | ( | Application::InhibitFlags | lhs,
|  | Application::InhibitFlags | rhs
| ) |  |
| inline

## ◆ operator^() [2/15]

CellRendererState Gtk::operator^ | ( | CellRendererState | lhs,
|  | CellRendererState | rhs
| ) |  |
| inline

## ◆ operator^() [3/15]

EventControllerScroll::Flags Gtk::operator^ | ( | EventControllerScroll::Flags | lhs,
|  | EventControllerScroll::Flags | rhs
| ) |  |
| inline

## ◆ operator^() [4/15]

FontChooser::Level Gtk::operator^ | ( | FontChooser::Level | lhs,
|  | FontChooser::Level | rhs
| ) |  |
| inline

## ◆ operator^() [5/15]

IconLookupFlags Gtk::operator^ | ( | IconLookupFlags | lhs,
|  | IconLookupFlags | rhs
| ) |  |
| inline

## ◆ operator^() [6/15]

InputHints Gtk::operator^ | ( | InputHints | lhs,
|  | InputHints | rhs
| ) |  |
| inline

## ◆ operator^() [7/15]

ListScrollFlags Gtk::operator^ | ( | ListScrollFlags | lhs,
|  | ListScrollFlags | rhs
| ) |  |
| inline

## ◆ operator^() [8/15]

PickFlags Gtk::operator^ | ( | PickFlags | lhs,
|  | PickFlags | rhs
| ) |  |
| inline

## ◆ operator^() [9/15]

PopoverMenu::Flags Gtk::operator^ | ( | PopoverMenu::Flags | lhs,
|  | PopoverMenu::Flags | rhs
| ) |  |
| inline

## ◆ operator^() [10/15]

PrintCapabilities Gtk::operator^ | ( | PrintCapabilities | lhs,
|  | PrintCapabilities | rhs
| ) |  |
| inline

## ◆ operator^() [11/15]

ShortcutAction::Flags Gtk::operator^ | ( | ShortcutAction::Flags | lhs,
|  | ShortcutAction::Flags | rhs
| ) |  |
| inline

## ◆ operator^() [12/15]

StateFlags Gtk::operator^ | ( | StateFlags | lhs,
|  | StateFlags | rhs
| ) |  |
| inline

## ◆ operator^() [13/15]

StyleContext::PrintFlags Gtk::operator^ | ( | StyleContext::PrintFlags | lhs,
|  | StyleContext::PrintFlags | rhs
| ) |  |
| inline

## ◆ operator^() [14/15]

TextSearchFlags Gtk::operator^ | ( | TextSearchFlags | lhs,
|  | TextSearchFlags | rhs
| ) |  |
| inline

## ◆ operator^() [15/15]

TreeModel::Flags Gtk::operator^ | ( | TreeModel::Flags | lhs,
|  | TreeModel::Flags | rhs
| ) |  |
| inline

## ◆ operator^=() [1/15]

Application::InhibitFlags & Gtk::operator^= | ( | Application::InhibitFlags & | lhs,
|  | Application::InhibitFlags | rhs
| ) |  |
| inline

## ◆ operator^=() [2/15]

CellRendererState & Gtk::operator^= | ( | CellRendererState & | lhs,
|  | CellRendererState | rhs
| ) |  |
| inline

## ◆ operator^=() [3/15]

EventControllerScroll::Flags & Gtk::operator^= | ( | EventControllerScroll::Flags & | lhs,
|  | EventControllerScroll::Flags | rhs
| ) |  |
| inline

## ◆ operator^=() [4/15]

FontChooser::Level & Gtk::operator^= | ( | FontChooser::Level & | lhs,
|  | FontChooser::Level | rhs
| ) |  |
| inline

## ◆ operator^=() [5/15]

IconLookupFlags & Gtk::operator^= | ( | IconLookupFlags & | lhs,
|  | IconLookupFlags | rhs
| ) |  |
| inline

## ◆ operator^=() [6/15]

InputHints & Gtk::operator^= | ( | InputHints & | lhs,
|  | InputHints | rhs
| ) |  |
| inline

## ◆ operator^=() [7/15]

ListScrollFlags & Gtk::operator^= | ( | ListScrollFlags & | lhs,
|  | ListScrollFlags | rhs
| ) |  |
| inline

## ◆ operator^=() [8/15]

PickFlags & Gtk::operator^= | ( | PickFlags & | lhs,
|  | PickFlags | rhs
| ) |  |
| inline

## ◆ operator^=() [9/15]

PopoverMenu::Flags & Gtk::operator^= | ( | PopoverMenu::Flags & | lhs,
|  | PopoverMenu::Flags | rhs
| ) |  |
| inline

## ◆ operator^=() [10/15]

PrintCapabilities & Gtk::operator^= | ( | PrintCapabilities & | lhs,
|  | PrintCapabilities | rhs
| ) |  |
| inline

## ◆ operator^=() [11/15]

ShortcutAction::Flags & Gtk::operator^= | ( | ShortcutAction::Flags & | lhs,
|  | ShortcutAction::Flags | rhs
| ) |  |
| inline

## ◆ operator^=() [12/15]

StateFlags & Gtk::operator^= | ( | StateFlags & | lhs,
|  | StateFlags | rhs
| ) |  |
| inline

## ◆ operator^=() [13/15]

StyleContext::PrintFlags & Gtk::operator^= | ( | StyleContext::PrintFlags & | lhs,
|  | StyleContext::PrintFlags | rhs
| ) |  |
| inline

## ◆ operator^=() [14/15]

TextSearchFlags & Gtk::operator^= | ( | TextSearchFlags & | lhs,
|  | TextSearchFlags | rhs
| ) |  |
| inline

## ◆ operator^=() [15/15]

TreeModel::Flags & Gtk::operator^= | ( | TreeModel::Flags & | lhs,
|  | TreeModel::Flags | rhs
| ) |  |
| inline

## ◆ operator|() [1/15]

Application::InhibitFlags Gtk::operator| | ( | Application::InhibitFlags | lhs,
|  | Application::InhibitFlags | rhs
| ) |  |
| inline

## ◆ operator|() [2/15]

CellRendererState Gtk::operator| | ( | CellRendererState | lhs,
|  | CellRendererState | rhs
| ) |  |
| inline

## ◆ operator|() [3/15]

EventControllerScroll::Flags Gtk::operator| | ( | EventControllerScroll::Flags | lhs,
|  | EventControllerScroll::Flags | rhs
| ) |  |
| inline

## ◆ operator|() [4/15]

FontChooser::Level Gtk::operator| | ( | FontChooser::Level | lhs,
|  | FontChooser::Level | rhs
| ) |  |
| inline

## ◆ operator|() [5/15]

IconLookupFlags Gtk::operator| | ( | IconLookupFlags | lhs,
|  | IconLookupFlags | rhs
| ) |  |
| inline

## ◆ operator|() [6/15]

InputHints Gtk::operator| | ( | InputHints | lhs,
|  | InputHints | rhs
| ) |  |
| inline

## ◆ operator|() [7/15]

ListScrollFlags Gtk::operator| | ( | ListScrollFlags | lhs,
|  | ListScrollFlags | rhs
| ) |  |
| inline

## ◆ operator|() [8/15]

PickFlags Gtk::operator| | ( | PickFlags | lhs,
|  | PickFlags | rhs
| ) |  |
| inline

## ◆ operator|() [9/15]

PopoverMenu::Flags Gtk::operator| | ( | PopoverMenu::Flags | lhs,
|  | PopoverMenu::Flags | rhs
| ) |  |
| inline

## ◆ operator|() [10/15]

PrintCapabilities Gtk::operator| | ( | PrintCapabilities | lhs,
|  | PrintCapabilities | rhs
| ) |  |
| inline

## ◆ operator|() [11/15]

ShortcutAction::Flags Gtk::operator| | ( | ShortcutAction::Flags | lhs,
|  | ShortcutAction::Flags | rhs
| ) |  |
| inline

## ◆ operator|() [12/15]

StateFlags Gtk::operator| | ( | StateFlags | lhs,
|  | StateFlags | rhs
| ) |  |
| inline

## ◆ operator|() [13/15]

StyleContext::PrintFlags Gtk::operator| | ( | StyleContext::PrintFlags | lhs,
|  | StyleContext::PrintFlags | rhs
| ) |  |
| inline

## ◆ operator|() [14/15]

TextSearchFlags Gtk::operator| | ( | TextSearchFlags | lhs,
|  | TextSearchFlags | rhs
| ) |  |
| inline

## ◆ operator|() [15/15]

TreeModel::Flags Gtk::operator| | ( | TreeModel::Flags | lhs,
|  | TreeModel::Flags | rhs
| ) |  |
| inline

## ◆ operator|=() [1/15]

Application::InhibitFlags & Gtk::operator|= | ( | Application::InhibitFlags & | lhs,
|  | Application::InhibitFlags | rhs
| ) |  |
| inline

## ◆ operator|=() [2/15]

CellRendererState & Gtk::operator|= | ( | CellRendererState & | lhs,
|  | CellRendererState | rhs
| ) |  |
| inline

## ◆ operator|=() [3/15]

EventControllerScroll::Flags & Gtk::operator|= | ( | EventControllerScroll::Flags & | lhs,
|  | EventControllerScroll::Flags | rhs
| ) |  |
| inline

## ◆ operator|=() [4/15]

FontChooser::Level & Gtk::operator|= | ( | FontChooser::Level & | lhs,
|  | FontChooser::Level | rhs
| ) |  |
| inline

## ◆ operator|=() [5/15]

IconLookupFlags & Gtk::operator|= | ( | IconLookupFlags & | lhs,
|  | IconLookupFlags | rhs
| ) |  |
| inline

## ◆ operator|=() [6/15]

InputHints & Gtk::operator|= | ( | InputHints & | lhs,
|  | InputHints | rhs
| ) |  |
| inline

## ◆ operator|=() [7/15]

ListScrollFlags & Gtk::operator|= | ( | ListScrollFlags & | lhs,
|  | ListScrollFlags | rhs
| ) |  |
| inline

## ◆ operator|=() [8/15]

PickFlags & Gtk::operator|= | ( | PickFlags & | lhs,
|  | PickFlags | rhs
| ) |  |
| inline

## ◆ operator|=() [9/15]

PopoverMenu::Flags & Gtk::operator|= | ( | PopoverMenu::Flags & | lhs,
|  | PopoverMenu::Flags | rhs
| ) |  |
| inline

## ◆ operator|=() [10/15]

PrintCapabilities & Gtk::operator|= | ( | PrintCapabilities & | lhs,
|  | PrintCapabilities | rhs
| ) |  |
| inline

## ◆ operator|=() [11/15]

ShortcutAction::Flags & Gtk::operator|= | ( | ShortcutAction::Flags & | lhs,
|  | ShortcutAction::Flags | rhs
| ) |  |
| inline

## ◆ operator|=() [12/15]

StateFlags & Gtk::operator|= | ( | StateFlags & | lhs,
|  | StateFlags | rhs
| ) |  |
| inline

## ◆ operator|=() [13/15]

StyleContext::PrintFlags & Gtk::operator|= | ( | StyleContext::PrintFlags & | lhs,
|  | StyleContext::PrintFlags | rhs
| ) |  |
| inline

## ◆ operator|=() [14/15]

TextSearchFlags & Gtk::operator|= | ( | TextSearchFlags & | lhs,
|  | TextSearchFlags | rhs
| ) |  |
| inline

## ◆ operator|=() [15/15]

TreeModel::Flags & Gtk::operator|= | ( | TreeModel::Flags & | lhs,
|  | TreeModel::Flags | rhs
| ) |  |
| inline

## ◆ operator~() [1/15]

Application::InhibitFlags Gtk::operator~ | ( | Application::InhibitFlags | flags | ) |
| inline

## ◆ operator~() [2/15]

CellRendererState Gtk::operator~ | ( | CellRendererState | flags | ) |
| inline

## ◆ operator~() [3/15]

EventControllerScroll::Flags Gtk::operator~ | ( | EventControllerScroll::Flags | flags | ) |
| inline

## ◆ operator~() [4/15]

FontChooser::Level Gtk::operator~ | ( | FontChooser::Level | flags | ) |
| inline

## ◆ operator~() [5/15]

IconLookupFlags Gtk::operator~ | ( | IconLookupFlags | flags | ) |
| inline

## ◆ operator~() [6/15]

InputHints Gtk::operator~ | ( | InputHints | flags | ) |
| inline

## ◆ operator~() [7/15]

ListScrollFlags Gtk::operator~ | ( | ListScrollFlags | flags | ) |
| inline

## ◆ operator~() [8/15]

PickFlags Gtk::operator~ | ( | PickFlags | flags | ) |
| inline

## ◆ operator~() [9/15]

PopoverMenu::Flags Gtk::operator~ | ( | PopoverMenu::Flags | flags | ) |
| inline

## ◆ operator~() [10/15]

PrintCapabilities Gtk::operator~ | ( | PrintCapabilities | flags | ) |
| inline

## ◆ operator~() [11/15]

ShortcutAction::Flags Gtk::operator~ | ( | ShortcutAction::Flags | flags | ) |
| inline

## ◆ operator~() [12/15]

StateFlags Gtk::operator~ | ( | StateFlags | flags | ) |
| inline

## ◆ operator~() [13/15]

StyleContext::PrintFlags Gtk::operator~ | ( | StyleContext::PrintFlags | flags | ) |
| inline

## ◆ operator~() [14/15]

TextSearchFlags Gtk::operator~ | ( | TextSearchFlags | flags | ) |
| inline

## ◆ operator~() [15/15]

TreeModel::Flags Gtk::operator~ | ( | TreeModel::Flags | flags | ) |
| inline